Skip to content

机构数据 - 达人列表

简介

获取机构关联的 TikTok 达人列表,支持以下功能:

  • 按机构 ID 过滤达人
  • 自定义排序方式
  • 包含达人销售数据及热卖商品

接口

bash
    POST /agency/v1/creatorList

Request Body

字段类型必选描述
filterobject过滤参数
orderbyobject排序参数
pageinteger页码,默认值:1
pagesizeinteger每页条数,默认值:10,最大:100

filter 可选值

字段类型必选描述
idstring机构 secid

orderby 可选值

字段类型必选描述
fieldstring排序字段
orderstring排序方式:desc

支持的排序字段:

字段描述
day7_units_sold近 7 天销量
day28_units_sold近 28 天销量
day90_units_sold近 90 天销量
day7_gmv近 7 天 GMV
day28_gmv近 28 天 GMV
day90_gmv近 90 天 GMV
follower_count粉丝数

请求示例

bash
curl 'https://openapi.fastmoss.com/agency/v1/creatorList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "id": "647f81f2fccde42ac22be7fe7bee2c26"
    },
    "orderby": [
        {
            "field": "day7_gmv",
            "order": "desc"
        }
    ],
    "page": 1,
    "pagesize": 10
}'

Response Body

data

字段类型描述
listarray<object>达人列表
totalinteger总数

data.list

字段类型描述
authorobject达人信息
day7_units_soldinteger近 7 天销量
day28_units_soldinteger近 28 天销量
day90_units_soldinteger近 90 天销量
day7_gmvinteger近 7 天 GMV(美分)
day28_gmvinteger近 28 天 GMV(美分)
day90_gmvinteger近 90 天 GMV(美分)
live_gpmstring直播 GPM 范围
video_gpmstring视频 GPM 范围
day7_top2_productsarray<object>近 7 天销量 Top 2 商品
day28_top2_productsarray<object>近 28 天销量 Top 2 商品
day90_top2_productsarray<object>近 90 天销量 Top 2 商品

data.list.author

字段类型描述
uidstring达人 UID
unique_idstring达人唯一 ID
nicknamestring达人昵称
avatarstring头像 URL
category_idinteger类目 ID
category_namestring类目名称
follower_countinteger粉丝数
aweme_countinteger视频总数
favoriting_countinteger获赞总数
regionstring地区

data.list.dayX_top2_products

字段类型描述
product_idstring商品 ID
sold_countinteger销量
rankinteger销售排名(1 或 2)
coverstring商品封面图 URL

返回示例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "author": {
          "uid": "7520310673173316621",
          "unique_id": "sophmademebuyit",
          "nickname": "Soph🦋",
          "avatar": "tt_author/e2a93268378892efa5477548c160e19e~tplv-tiktokx-cropcenter:100:100.jpeg",
          "category_id": 31,
          "category_name": "Other",
          "follower_count": 29468,
          "aweme_count": 2042,
          "favoriting_count": 530,
          "region": "US"
        },
        "day7_units_sold": 4955,
        "day28_units_sold": 19952,
        "day90_units_sold": 51672,
        "day7_gmv": 270119,
        "day28_gmv": 1134310,
        "day90_gmv": 2922456,
        "live_gpm": "$0.00 - $0.00",
        "video_gpm": "$39.82 - $44.95",
        "day7_top2_products": [
          {
            "product_id": "1732261201982428094",
            "sold_count": 635,
            "rank": 2,
            "cover": "https://s.500fd.com/tt_product/293d96fb07b2482a89c0191e02072278~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
          },
          {
            "product_id": "1731581852072907320",
            "sold_count": 1078,
            "rank": 1,
            "cover": "https://s.500fd.com/tt_product/c7338303f352404a8a89ce2fded825c4~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg"
          }
        ]
      }
    ],
    "total": 1382
  },
  "message": "success"
}